cascading.tap.hadoop.io

## Class MultiRecordReaderIterator

- java.lang.Object
- - cascading.tap.hadoop.io.MultiRecordReaderIterator

All Implemented Interfaces:
  CloseableIterator<org.apache.hadoop.mapred.RecordReader>, java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<org.apache.hadoop.mapred.RecordReader>

    public class MultiRecordReaderIterator
    extends java.lang.Object
    implements CloseableIterator<org.apache.hadoop.mapred.RecordReader>

Class TapIterator is an implementation of `CloseableIterator`. It is returned by `Tap` instances when opening the taps resource for reading.

### Constructor Summary

Constructors
Constructor and Description
`MultiRecordReaderIterator(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess, Tap tap)` Constructor TapIterator creates a new TapIterator instance.

### Method Summary

Methods
`void` `close()`
`boolean` `hasNext()` Method hasNext returns true if there more `Tuple` instances available.
`org.apache.hadoop.mapred.RecordReader` `next()` Method next returns the next `Tuple`.
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiRecordReaderIterator

    public MultiRecordReaderIterator(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess,
                             Tap tap)
                              throws java.io.IOException

Constructor TapIterator creates a new TapIterator instance.

Throws:
  `java.io.IOException` - when

### Method Detail

#### hasNext

    public boolean hasNext()

Method hasNext returns true if there more `Tuple` instances available.

Specified by:
  `hasNext` in interface `java.util.Iterator<org.apache.hadoop.mapred.RecordReader>`
Returns:
  boolean

#### next

    public org.apache.hadoop.mapred.RecordReader next()

Method next returns the next `Tuple`.

Specified by:
  `next` in interface `java.util.Iterator<org.apache.hadoop.mapred.RecordReader>`
Returns:
  Tuple

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<org.apache.hadoop.mapred.RecordReader>`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Throws:
  `java.io.IOException`